Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomEx

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.DOMException
                              |
                              +--gnu.xml.dom.DomEx

All Implemented Interfaces:
  java.io.Serializable

public class DomEx
extends DOMException

DOMException implementation. The version that is provided by the W3C is abstract, so it can't be instantiated.

This also provides a bit more information about the error that is being reported, in terms of the relevant DOM structures and data.

Version:
  $Date: 2001/11/20 04:57:05 $
Author:
  David Brownell
See Also:
  Serialized Form

Fields inherited from class org.w3c.dom.DOMException
`code, DOMSTRING_SIZE_ERR, HIERARCHY_REQUEST_ERR, INDEX_SIZE_ERR, INUSE_ATTRIBUTE_ERR, INVALID_ACCESS_ERR, INVALID_CHARACTER_ERR, INVALID_MODIFICATION_ERR, INVALID_STATE_ERR, NAMESPACE_ERR, NO_DATA_ALLOWED_ERR, NO_MODIFICATION_ALLOWED_ERR, NOT_FOUND_ERR, NOT_SUPPORTED_ERR, SYNTAX_ERR, WRONG_DOCUMENT_ERR`

Constructor Summary
`DomEx(short code)` Constructs an exception, with the diagnostic message corresponding to the specified code.
`DomEx(short code, java.lang.String data, Node node, int value)` Constructs an exception, with the diagnostic message corresponding to the specified code and additional information as provided.

Method Summary
`java.lang.String` | `getData()` Returns data to which the diagnotic applies, or null.
`java.lang.String` | `getMessage()` Returns a diagnostic message that may be slightly more useful than the generic one, where possible.
`Node` | `getNode()` Returns the node to which the diagnotic applies, or null.
`int` | `getValue()` Returns data to which the diagnotic applies, or null.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomEx

    public DomEx(short code)

  Constructs an exception, with the diagnostic message corresponding to the specified code.

### DomEx

    public DomEx(short code,
                 java.lang.String data,
                 Node node,
                 int value)

  Constructs an exception, with the diagnostic message corresponding to the specified code and additional information as provided.

Method Detail

### getNode

    public final Node getNode()

  Returns the node to which the diagnotic applies, or null.

### getData

    public final java.lang.String getData()

  Returns data to which the diagnotic applies, or null.

### getValue

    public final int getValue()

  Returns data to which the diagnotic applies, or null.

### getMessage

    public java.lang.String getMessage()

  Returns a diagnostic message that may be slightly more useful than the generic one, where possible.
  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.